[P002]Analytics Query Search

post
https://connect.patsnap.com/search/patent/query-search-patent/v2
Try in Sandbox

Search PatSnap's global patent database using standard text queries. Read about the search syntax supported in PatSnap here - https://analytics.patsnap.com/search_helper. This includes patent count, patent number, patent ID, etc

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
query_text
Required
stringTACD: virtual reality
Analytics query, maximum length 3,000 characters
collapse_type
stringALL
Select the collapse type, "ALL" or Null value means no collapse; "APNO" means collapse according to application number; "DOCDB" means collapse according to simple family; "INPADOC" means collapse according to inpadoc family; "EXTEND" means collapse according to patsnap family
collapse_by
stringPBD

Select the sort field for patent collapse,

"APD" means order according to application date;

"PBD" means order according to publication date;

"AUTHORITY" means order according to authority;

"SCORE" means order according to the relevance score

collapse_order
stringLATEST
Select the patent collapse ordering rule that is valid only if collapse_by is APD or PBD, setting OLDEST or LATEST to keep the earliest or latest one
collapse_order_authority
array[ "CN", "US", "EP", "JP", "KR" ]
Sets the order of patent collapse according to the input authorities priority list, valid only if collapse_by is AUTHORITY
sort
Read-only
array[ { "field": "SCORE", "order": "DESC" } ]

Field order, field can support: PBDT_YEARMONTHDAY, APD_YEARMONTHDAY, ISD,SCORE; order can support: desc, asc. The default ranking is the most relevant by Score

PBDT_YEARMONTHDAY: Publication date

APD_YEARMONTHDAY: Application date

ISD: Issue date

Score: relevancy

offset
integer<int32>-
offset value; limit + offset <= 20000 (the max number of Semantic Search is 1000)
limit
integer<int32>10
limit of returned response; must be <= 1,000
stemming
integer<int32>-

Whether to turn on the stemming function, 1: turn on; 0: turn off. Off by default

Note:

Stemming ON will search for the original word and expand the search to consider singular, plural, and tense variations e.g. a search for "come" will expand to "comes", "came", "coming" and so on.

Stemming OFF will only search for exact matches of the keywords entered.

The use of wildcards in keywords within a search query will impact the effect of stemming.

Stemming ON only supports English words. Stemming does not apply to Assignees, Inventors, or any other person-related fields.

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
results
arrayPlease check the form: PatentBaseV2Response
result
pn
stringUS11205304B2
patent number
apdt
integer<int32>20211108
Application Date
apno
stringUS17/521392
Application Number
pbdt
integer<int32>20230815
Publication Date
title
stringTechniques for using multiple symbols to provide feedback for a sidelink transmission
Title
inventor
stringELSHAFIE, AHMED | YANG, WEI | HOSSEINI, SEYEDKIANOUSH
Inventor
authority
stringCN
Intellectual Property Office
patent_id
string718ead9c-4f3c-4674-8f5a-24e126827269
patent id
current_assignee
stringQUALCOMM INCORPORATED
Current Assignee
original_assignee
stringQUALCOMM INCORPORATED
Original Assignee (Applicant)
result_count
integer<int32>10
Received result count
total_search_result_count
integer<int64>1000
Total search result count
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "results": [
      {
        "pn": "US11205304B2",
        "apdt": 20211108,
        "apno": "US17/521392",
        "pbdt": 20230815,
        "title": "Techniques for using multiple symbols to provide feedback for a sidelink transmission",
        "inventor": "ELSHAFIE, AHMED | YANG, WEI | HOSSEINI, SEYEDKIANOUSH",
        "authority": "CN",
        "patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
        "current_assignee": "QUALCOMM INCORPORATED",
        "original_assignee": "QUALCOMM INCORPORATED"
      }
    ],
    "result_count": 10,
    "total_search_result_count": 1000
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms